Get Customer
API ExplorerReturns one customer. A customer outside the token scope (another merchant or store) is not returned.
Path Parameters
customer_id*string
Unique identifier of the consumer to update.
Public customer id returned by Create Customer
Steps to find the customer_id:
- Login to the iPOSpays portal using a Merchant account.
- Navigate to the My Customers section.
- Search for the customer using their name, email, or phone number.
- Copy the
Consumer IDfrom the customer details page.
Header Parameters
token*string
Authentication token generated using the API Key and Secret Key of the merchant . Required for all API requests.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com" \ -H "token: your-access-token-here"{
"data": {
"customer_id": "LMPD9SWTTI1LI05",
"customer_externalRefId": "CRM-4632357",
"email": "docs.full.4632357@example.com",
"phone": null,
"firstName": "Jane",
"lastName": "Doe",
"Dba": null,
"Zipcode": null,
"City": null,
"State": null,
"storeId": "05cbaac8502f"
},
"message": "Customer retrieved successfully",
"response_code": "SUCCESS",
"status_code": 200,
"request_id": "TEST-20261011182338-RCFCL3",
"timestamp": "2026-10-11T12:53:38.637Z"
}{
"data": null,
"message": "The request contains invalid input parameters.",
"response_code": "BAD_REQUEST",
"status_code": 400,
"request_id": "TEST-20261012160444-_I_PTM",
"timestamp": "2026-10-12T10:34:44.284Z",
"errors": [
{
"field": "customer_id",
"messages": [
"customer_id must be a valid customer id"
]
}
]
}{
"data": null,
"message": "Access denied. The customer does not belong to the authenticated merchant.",
"response_code": "ACCESS_DENIED",
"status_code": 401,
"request_id": "TEST-20261012160444-KJ7LFG",
"timestamp": "2026-10-12T10:34:44.987Z"
}{
"data": null,
"message": "Customer not found",
"response_code": "NOT_FOUND",
"status_code": 404,
"request_id": "TEST-20261012160445-IF8E6-",
"timestamp": "2026-10-12T10:34:45.692Z"
}{
"data": null,
"message": "Too many requests, please try again in a minute",
"response_code": "RATE_LIMITED",
"status_code": 429,
"timestamp": "<ISO 8601 time>"
}{
"data": null,
"message": "An error occurred while processing your request. Please try again later.",
"response_code": "INTERNAL_ERROR",
"status_code": 500,
"request_id": "<generated per request>",
"timestamp": "<ISO 8601 time>"
}